{% extends 'base.html' %}
{% block title %}
    {{ recipe_object.title }} -
    Scrumptious Recipes
{% endblock title %}
{% block nav %}
    <nav>
        <a class="nav-bar" href="{% url "recipe_list" %}">Main page</a>
    </nav>
{% endblock nav %}
{% block content %}
    <h1>{{ recipe_object.title }}</h1>
    {% comment %} <img src="https://mks.io/public-tacos"> {% endcomment %}
    <img src="{{ recipe_object.picture }}">
    <div><p>4.3 &#9734</p></div>
    <a href="{% url 'edit_recipe' recipe_object.id %}">Update this Recipe</a>
    <p>{{ recipe_object.description }}</p>
    <h2>Ingredients</h2>
    <table>
        <thead>
            <tr>
                <td class="table-head">Amount</td>
                <td class="table-head">Food Item</td>
            </tr>
        </thead>
        <tbody>
            <div class="ingredient-list">
                {% for ingredient in recipe_object.ingredients.all %}
                    <tr>
                        <td>{{ ingredient.amount }}</td>
                        <td>{{ ingredient.food_item }}</td>
                    </tr>
                {% endfor %}

            </div>
        </tbody>
    </table>
    <h2>Steps</h2>
    <div class="steps">
        <ol>
          {% for step in recipe_object.steps.all %}
            <li>{{ step.instruction }}</li>
          {% endfor %}
        </ol>
    </div>
{% endblock content %}